Log inUsernamePassword
Log me on automatically each visit    
Register
Register
Log in to check your private messages
Log in to check your private messages
SMS Forum Index » SMS User Support

Post new topic   Reply to topic
configure: error: C compiler cannot create executables
View previous topic :: View next topic  
Author Message
asphyx
Junior Member


Joined: 27 Sep 2012
Posts: 6

PostPosted: Thu Sep 27, 2012 5:55 pm    Post subject: configure: error: C compiler cannot create executables Reply with quote

Hello everybody !

I have problem with instalation of mod_security_2.6.6

Code:
root@probe:/usr/local/etc/modsecurity-apache_2.6.6# ./configure
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking for style of include used by make... GNU
checking for gcc... gcc
checking whether the C compiler works... no
configure: error: in `/usr/local/etc/modsecurity-apache_2.6.6':
configure: error: C compiler cannot create executables
See `config.log' for more details.
root@probe:/usr/local/etc/modsecurity-apache_2.6.6#cat /etc/slackware-version
Slackware 13.37.0
root@probe:/usr/local/etc/modsecurity-apache_2.6.6#Linux probe 3.2.14-smp #2 SMP Tue Apr 3 17:58:56 EEST 2012 x86_64 AMD Athlon(tm) Processor LE-1620 AuthenticAMD GNU/Linux


Any advice ?
Back to top
View user's profile Send private message
gerasimos_h
Site Admin


Joined: 09 Aug 2007
Posts: 1753
Location: Greece

PostPosted: Fri Sep 28, 2012 7:28 am    Post subject: Reply with quote

I assume you have SMS-1.6.5 (cat /etc/sms-version), considering the 3.2.14-smp kernel.
You need to install the devel series from SMS.Native.CD-1.6.5-Install.iso
Just mount the iso and install everything in slackware/devel or at least
gcc and kernel-headers.

There is also a slackbuild at
http://slackbuilds.org/repository/13.37/network/modsecurity-apache/

gerasimos_h

_________________
Superb! Mini Server Project Manager
http://sms.it-ccs.com
Back to top
View user's profile Send private message Visit poster's website
asphyx
Junior Member


Joined: 27 Sep 2012
Posts: 6

PostPosted: Fri Sep 28, 2012 10:07 pm    Post subject: Reply with quote

Quote:
I assume you have SMS-1.6.5 (cat /etc/sms-version), considering the 3.2.14-smp kernel.
You need to install the devel series from SMS.Native.CD-1.6.5-Install.iso
Just mount the iso and install everything in slackware/devel or at least
gcc and kernel-headers.


That solved the problem ! Thanks !

But i see some error in : /var/log/httpd/error_log

Code:
[Fri Sep 28 13:56:15 2012] [notice] ModSecurity: PCRE compiled version="8.12"; loaded version="8.12 2011-01-15"
[Fri Sep 28 13:56:15 2012] [notice] ModSecurity: LIBXML compiled version="2.7.8"
[Fri Sep 28 13:56:15 2012] [notice] Digest: generating secret for digest authentication ...
[Fri Sep 28 13:56:15 2012] [notice] Digest: done
[Fri Sep 28 13:56:16 2012] [warn] RSA server certificate wildcard CommonName (CN) `*.sms.org' does NOT match server name!?
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib64/php/extensions/gd.so' - libX11.so.6: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  Module 'fileinfo' already loaded in Unknown on line 0
[Fri Sep 28 13:56:19 2012] [notice] Apache/2.2.22 (Unix) mod_ssl/2.2.22 OpenSSL/0.9.8x DAV/2 PHP/5.3.13 mod_perl/2.0.6 Perl/v5.14.2 configured -- resuming normal operations


May be it's not normal ?
Back to top
View user's profile Send private message
gerasimos_h
Site Admin


Joined: 09 Aug 2007
Posts: 1753
Location: Greece

PostPosted: Fri Sep 28, 2012 11:20 pm    Post subject: Reply with quote

Do you have a full SMS64-1.6.5 install?
Do you have libX11 package? (ls -l /var/log/packages/libX11*)

What's the output of
Code:
ldd /usr/lib64/php/extensions/gd.so


By the way here is a link to help you, if you want to upgrade your system to SMS-2.0.0.
http://sms.it-ccs.com/wiki/#LinkTarget_2293

gerasimos_h

_________________
Superb! Mini Server Project Manager
http://sms.it-ccs.com
Back to top
View user's profile Send private message Visit poster's website
asphyx
Junior Member


Joined: 27 Sep 2012
Posts: 6

PostPosted: Thu Oct 04, 2012 12:09 pm    Post subject: Reply with quote

gerasimos_h wrote:
Do you have a full SMS64-1.6.5 install?
Do you have libX11 package? (ls -l /var/log/packages/libX11*)

What's the output of
Code:
ldd /usr/lib64/php/extensions/gd.so


By the way here is a link to help you, if you want to upgrade your system to SMS-2.0.0.
http://sms.it-ccs.com/wiki/#LinkTarget_2293

gerasimos_h


Code:
/bin/ls: cannot access /var/log/packages/libX11*: No such file or director


Code:
ldd /usr/lib64/php/extensions/gd.so
linux-vdso.so.1 (0x00007fff52ba3000)
        libt1.so.5 => /usr/lib64/libt1.so.5 (0x00007fc41e57f000)
        libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x00007fc41e2f2000)
        libX11.so.6 => not found
        libXpm.so.4 => not found
        libpng14.so.14 => /usr/lib64/libpng14.so.14 (0x00007fc41e0be000)
        libz.so.1 => /usr/lib64/libz.so.1 (0x00007fc41dea8000)
        libjpeg.so.8 => /usr/lib64/libjpeg.so.8 (0x00007fc41dc6f000)
        libc.so.6 => /lib64/libc.so.6 (0x00007fc41d8b0000)
        libm.so.6 => /lib64/libm.so.6 (0x00007fc41d5b4000)
        libbz2.so.1 => /lib64/libbz2.so.1 (0x00007fc41d3a4000)
        /lib64/ld-linux-x86-64.so.2 (0x00007fc41ea37000)
Back to top
View user's profile Send private message
gerasimos_h
Site Admin


Joined: 09 Aug 2007
Posts: 1753
Location: Greece

PostPosted: Thu Oct 04, 2012 5:01 pm    Post subject: Reply with quote

It seems you haven't not install X series, so install at least libX11 and libXpm from SMS64.Native.CD-1.6.5-Install.iso
Although it's highly recommended to install the X series.

gerasimos_h

_________________
Superb! Mini Server Project Manager
http://sms.it-ccs.com
Back to top
View user's profile Send private message Visit poster's website
Display posts from previous:   
Post new topic   Reply to topic    SMS Forum Index » SMS User Support All times are GMT + 2 Hours
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum

SMS - Superb! Mini Server Project © 2016
Powered by phpBB © 2001, 2002 phpBB Group
iCGstation v1.0 Template By Ray © 2003, 2004 iOptional